Package ru.bitel.common.model

# Class Page

java.lang.Object
ru.bitel.common.model.Page

public class Page extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Page`
  `INFINITE`
  `static final String`
  `PAGE_COUNT`
  `static final String`
  `PAGE_INDEX`
  `static final String`
  `PAGE_SIZE`
  `static final String`
  `RECORD_COUNT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Page()`
  `Page(int pageIndex, int pageSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getPageCount()`
  `static int`
  `getPageCount(Element element)`
  По умолчанию кол-во страниц будет '1' !
  `int`
  `getPageFirstRecordNumber()`
  `int`
  `getPageIndex()`
  `static int`
  `getPageIndex(Element element)`
  По умолчанию номер страницы будет '1' !
  `int`
  `getPageSize()`
  `static int`
  `getPageSize(Element element)`
  `int`
  `getRecordCount()`
  `static int`
  `getRecordCount(Element element)`
  Возвращает кол-во записей из переданного элемента.
  `int`
  `indexEnd()`
  `int`
  `indexStart()`
  `Page`
  `setPageCount(int pageCount)`
  `Page`
  `setPageIndex(int pageIndex)`
  `Page`
  `setPageSize(int pageSize)`
  `Page`
  `setRecordCount(int recordCount)`
  `static Page`
  `setRecordCount(Page page, int foundRows)`
  `String`
  `sqlLimit()`
  `static org.json.JSONObject`
  `toJson(Page page)`
  `static String`
  `toSqlLimit(Page page)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INFINITE

    public static final Page INFINITE

  - ### RECORD_COUNT

    public static final String RECORD_COUNT
    See Also:
      - Constant Field Values

  - ### PAGE_COUNT

    public static final String PAGE_COUNT
    See Also:
      - Constant Field Values

  - ### PAGE_INDEX

    public static final String PAGE_INDEX
    See Also:
      - Constant Field Values

  - ### PAGE_SIZE

    public static final String PAGE_SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Page

    public Page()

  - ### Page

    public Page(int pageIndex, int pageSize)

- ## Method Details

  - ### getPageIndex

    public int getPageIndex()

  - ### setPageIndex

    public Page setPageIndex(int pageIndex)

  - ### getPageSize

    public int getPageSize()

  - ### setPageSize

    public Page setPageSize(int pageSize)

  - ### getPageCount

    public int getPageCount()

  - ### setPageCount

    public Page setPageCount(int pageCount)

  - ### getPageFirstRecordNumber

    public int getPageFirstRecordNumber()

  - ### getRecordCount

    public int getRecordCount()

  - ### setRecordCount

    public Page setRecordCount(int recordCount)

  - ### sqlLimit

    public String sqlLimit()

  - ### getRecordCount

    public static int getRecordCount(Element element)
    Возвращает кол-во записей из переданного элемента. Для вставки в лейбл о кол-ве записей итд.
    Parameters:
      `element` - элемент с таблицей-страницей, сформированный с помощью стандартных средств сервера - Page итд.
    Returns:
      кол-во, или -1 при любой неясности

  - ### getPageIndex

    public static int getPageIndex(Element element)
    По умолчанию номер страницы будет '1' !
    Parameters:
      `element` -
    Returns:

  - ### getPageSize

    public static int getPageSize(Element element)

  - ### getPageCount

    public static int getPageCount(Element element)
    По умолчанию кол-во страниц будет '1' !
    Parameters:
      `element` -
    Returns:

  - ### toJson

    public static org.json.JSONObject toJson(Page page)

  - ### indexStart

    public int indexStart()

  - ### indexEnd

    public int indexEnd()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toSqlLimit

    public static String toSqlLimit(Page page)

  - ### setRecordCount

    public static Page setRecordCount(Page page, int foundRows)